Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 273843 - dev-libs/log4cxx: fails to build with gcc-4.4
Summary: dev-libs/log4cxx: fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: C++ Team [disbanded]
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-06-12 10:07 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-07-25 20:23 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (log4cxx-0.10.0:20090612-082224.log,390.12 KB, text/plain)
2009-06-12 10:07 UTC, Diego Elio Pettenò (RETIRED)
Details
fix for gcc-4.4 (log4cxx-0.10.0-gcc44.patch,357 bytes, text/plain)
2009-06-12 11:08 UTC, Łukasz Michalik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-12 10:07:26 UTC
As per summary, check attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-06-12 10:07:51 UTC
Created attachment 194382 [details]
Build log
Comment 2 Łukasz Michalik 2009-06-12 11:08:23 UTC
Created attachment 194391 [details]
fix for gcc-4.4

Please try with that applied.
Comment 3 Łukasz Michalik 2009-06-12 11:12:09 UTC
Mrhfp; if that works for you, it should probably go into 0.10.1-missing-includes.patch
Comment 4 Matt 2009-06-18 18:46:23 UTC
that patch works for me - it compiled successfully ;)

thanks Łukasz !
Comment 5 Samuli Suominen gentoo-dev 2009-07-25 20:23:32 UTC
+  25 Jul 2009; Samuli Suominen <ssuominen@gentoo.org> log4cxx-0.10.0.ebuild,
+  +files/log4cxx-0.10.0-gcc44.patch:
+  Fix building with GCC 4.4 wrt #273843, thanks to Łukasz Michalik.